package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.IOException;

public final class ConstantFieldref extends ConstantCP {
   public ConstantFieldref(ConstantFieldref c) {
      super((byte)9, c.getClassIndex(), c.getNameAndTypeIndex());
   }

   ConstantFieldref(DataInput input) throws IOException {
      super((byte)9, input);
   }

   public ConstantFieldref(int classIndex, int nameAndTypeIndex) {
      super((byte)9, classIndex, nameAndTypeIndex);
   }

   public void accept(Visitor v) {
      v.visitConstantFieldref(this);
   }
}
